<?xml version="1.0" encoding="UTF-8" ?>
<testsuite tests="84" failures="0" name="org.apache.synapse.samples.framework.TestSamplesHandlerSuite" time="131.833" errors="0" skipped="0">
  <properties>
    <property name="java.runtime.name" value="OpenJDK Runtime Environment"/>
    <property name="java.vm.version" value="11.0.4+11"/>
    <property name="sun.boot.library.path" value="/build/software/java/jdk-11.0.4+11/lib"/>
    <property name="maven.multiModuleProjectDirectory" value="/home/jenkins/workspace/forked-dependencies/wso2-synapse/target/checkout"/>
    <property name="java.vm.vendor" value="AdoptOpenJDK"/>
    <property name="java.vendor.url" value="https://adoptopenjdk.net/"/>
    <property name="path.separator" value=":"/>
    <property name="guice.disable.misplaced.annotation.check" value="true"/>
    <property name="java.vm.name" value="OpenJDK 64-Bit Server VM"/>
    <property name="sun.java.launcher" value="SUN_STANDARD"/>
    <property name="sun.os.patch.level" value="unknown"/>
    <property name="user.dir" value="/home/jenkins/workspace/forked-dependencies/wso2-synapse/target/checkout"/>
    <property name="java.vm.compressedOopsMode" value="32-bit"/>
    <property name="java.vm.specification.name" value="Java Virtual Machine Specification"/>
    <property name="java.runtime.version" value="11.0.4+11"/>
    <property name="java.awt.graphicsenv" value="sun.awt.X11GraphicsEnvironment"/>
    <property name="maven.wagon.http.pool" value="false"/>
    <property name="os.arch" value="amd64"/>
    <property name="java.util.Arrays.useLegacyMergeSort" value="true"/>
    <property name="java.io.tmpdir" value="/tmp"/>
    <property name="line.separator" value="
"/>
    <property name="java.vm.specification.vendor" value="Oracle Corporation"/>
    <property name="os.name" value="Linux"/>
    <property name="classworlds.conf" value="/build/software/maven/apache-maven-3.5.4/bin/m2.conf"/>
    <property name="sun.jnu.encoding" value="UTF-8"/>
    <property name="java.library.path" value="/usr/java/packages/lib:/usr/lib64:/lib64:/lib:/usr/lib"/>
    <property name="additionalparam" value="-Xdoclint:none"/>
    <property name="maven.conf" value="/build/software/maven/apache-maven-3.5.4/conf"/>
    <property name="jdk.debug" value="release"/>
    <property name="java.class.version" value="55.0"/>
    <property name="http.keepAlive" value="false"/>
    <property name="java.specification.name" value="Java Platform API Specification"/>
    <property name="sun.management.compiler" value="HotSpot 64-Bit Tiered Compilers"/>
    <property name="maven.repo.local" value="/home/jenkins/workspace/forked-dependencies/wso2-synapse/.repository"/>
    <property name="os.version" value="4.14.158-129.185.amzn2.x86_64"/>
    <property name="library.jansi.path" value="/build/software/maven/apache-maven-3.5.4/lib/jansi-native"/>
    <property name="user.home" value="/root"/>
    <property name="user.timezone" value="GMT"/>
    <property name="java.awt.printerjob" value="sun.print.PSPrinterJob"/>
    <property name="file.encoding" value="UTF-8"/>
    <property name="java.specification.version" value="11"/>
    <property name="java.class.path" value="/build/software/maven/apache-maven-3.5.4/boot/plexus-classworlds-2.5.2.jar"/>
    <property name="user.name" value="root"/>
    <property name="java.vm.specification.version" value="11"/>
    <property name="sun.arch.data.model" value="64"/>
    <property name="sun.java.command" value="org.codehaus.plexus.classworlds.launcher.Launcher -B -D maven.repo.local=/home/jenkins/workspace/forked-dependencies/wso2-synapse/.repository -s /tmp/release-settings2859302039051684472.xml -D additionalparam=-Xdoclint:none -D performRelease=true -P wso2-release deploy"/>
    <property name="java.home" value="/build/software/java/jdk-11.0.4+11"/>
    <property name="user.language" value="en"/>
    <property name="java.specification.vendor" value="Oracle Corporation"/>
    <property name="awt.toolkit" value="sun.awt.X11.XToolkit"/>
    <property name="java.vm.info" value="mixed mode"/>
    <property name="org.apache.maven.global-settings" value="/build/software/maven/settings/settings.xml"/>
    <property name="java.version" value="11.0.4"/>
    <property name="securerandom.source" value="file:/dev/./urandom"/>
    <property name="java.vendor" value="AdoptOpenJDK"/>
    <property name="maven.home" value="/build/software/maven/apache-maven-3.5.4"/>
    <property name="file.separator" value="/"/>
    <property name="java.version.date" value="2019-07-16"/>
    <property name="java.vendor.url.bug" value="https://github.com/AdoptOpenJDK/openjdk-build/issues"/>
    <property name="sun.cpu.endian" value="little"/>
    <property name="sun.io.unicode.encoding" value="UnicodeLittle"/>
    <property name="sun.font.fontmanager" value="sun.awt.X11FontManager"/>
    <property name="java.vendor.version" value="AdoptOpenJDK"/>
    <property name="performRelease" value="true"/>
    <property name="sun.cpu.isalist" value=""/>
  </properties>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample0" name="testSynapseAsHTTPProxy" time="1.277"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample0" name="testSmartClientMode" time="0.139"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample1" name="testDumbClientMode" time="0.133"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample2" name="testCBR" time="0.155"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample3" name="testLocalEntriesReusableEndPointsSequences" time="0.143"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample4" name="testErrorHandling" time="0.161"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample5" name="testCreateFaultAndChangeDirection" time="0.149"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample6" name="testManipulatingHeadersAndFiltering" time="0.111"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample7" name="testLocalRegEntriesAndSchemaValidation" time="0.407"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample8" name="testRegistryAndXSLTMediator" time="0.266"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample9" name="testDynamicSequences" time="0.106"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample10" name="testDynamicEndPoints" time="0.159"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample11" name="testFullRegistryBasedConfig" time="0.1"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample12" name="testFireAndForget" time="5.109"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample13" name="testDualQuote" time="3.187"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample15" name="testMessageEnrichment" time="0.109"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample16" name="testDynamicStaticKeys" time="0.109"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.mediation.Sample17" name="testPayloadFactoryMediator" time="0.111"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.mediation.Sample19" name="testPayloadFactoryMediator" time="0.189"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample50" name="testRestToPox" time="0.103"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample51" name="testMTOMOptimization" time="0.141"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample51" name="testSWAOptimization" time="0.112"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample52" name="testSessionLessLB" time="0.832"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample53" name="testFailOver" time="6.411"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample54" name="testSessionFullLB" time="0.69"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample55" name="testSessionFullLBFailOver" time="3.074"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample56" name="testSmartClientMode" time="0.157"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample58" name="testStaticLB" time="4.158"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample59" name="testSessionLessLB" time="0.576"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample63" name="testOAuthConfiguredEPInvalidCredentials" time="0.35"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample63" name="testOAuthConfiguredEPWithDynamicValues" time="0.121"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample63" name="testOAuthConfiguredEPRefreshGrantType" time="0.072"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample63" name="testOAuthConfiguredEPSuccess" time="0.075"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample63" name="testOAuthConfiguredEPOAuthServerFailed" time="0.06"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample63" name="testOAuthConfiguredEPUnAuthorized" time="0.09"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample63" name="testOAuthConfiguredEPWithoutTransportHeaders" time="0.077"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample63" name="testOAuthConfiguredDynamicURLEP" time="0.089"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample63" name="testOAuthConfiguredEPWithCustomParams" time="0.079"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample63" name="testOAuthConfiguredEPPasswordGrantType" time="0.07"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample64" name="testDefaultEndpointWithToHeader" time="0.082"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample64" name="testDefaultEndpointWithToHeaderSetToAnonymous" time="0.081"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.proxy.Sample150" name="testBasicProxy" time="0.13"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.proxy.Sample151" name="testCustomSequencesEndpointsWithProxy" time="0.141"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.proxy.Sample152" name="testTransportAndFormatSwitching" time="0.211"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.proxy.Sample154" name="testSessionFullLB" time="0.615"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.proxy.Sample157" name="testRoutingOnHttpHeader" time="0.107"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.proxy.Sample161" name="testRespondMediator" time="0.076"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.transport.Sample250" name="testPlaceOrder" time="5.421"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.transport.Sample251" name="testPlaceOrder" time="19.157"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample252" name="testPlaceOrderTypeText" time="9.249"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample252" name="testPlaceOrderTypePOX" time="9.122"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample253" name="testPlaceOrder" time="8.107"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample264" name="testTwoWayMessagesWithJMS" time="11.148"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.transport.Sample268" name="testLocalTransport" time="5.091"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.tasks.Sample300" name="testScheduledTask" time="10.109"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample350" name="testScriptMediationWithJS" time="0.181"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample351" name="testScriptMediationInLineJS" time="0.17"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample352" name="testAccessingAPIUsingScripting" time="0.119"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample353" name="testScriptMediationWithRuby" time="2.962"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample354" name="testScriptMediationWithInLineRuby" time="1.646"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample360" name="testDbLookup" time="3.548"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample361" name="testDbReport" time="2.79"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample362" name="testDbLookupReport" time="2.786"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.mediation.Sample363" name="testReusableConnectionPools" time="2.776"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample370" name="testThrottling" time="0.086"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample371" name="testRestrictedThrottling" time="0.209"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample372" name="testConcurrencyAndRateThrottling" time="0.103"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample380" name="testCustomMediator" time="0.105"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample390" name="testXQuery" time="0.338"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample391" name="testExternalXQuery" time="0.139"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample430" name="testCallOut" time="0.096"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample433" name="testCallOutDefinedEndpoint" time="0.087"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample434" name="testCallOutInlineEndpoint" time="0.121"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample450" name="testURLRewrite" time="0.117"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample451" name="testURLRewrite" time="0.136"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample470" name="testSpringBeanAsAMediator" time="0.233"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.mediation.Sample500" name="testCallMediator" time="0.104"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.template.Sample750" name="testXSLTTransformations" time="0.144"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.template.Sample751" name="testSplitAggregate" time="0.123"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample752" name="testLoadBalancingWithEndpointTemplates" time="0.674"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.rest.Sample800" name="testGetQuote" time="0.086"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.rest.Sample800" name="testPlaceOrder" time="1.069"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.transport.Sample10102" name="testSingleClientCertForRevocation" time="0.684"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.transport.Sample10103" name="testSingleClientCertForRevocationWithExpiryCheck" time="0.136"/>
</testsuite>